[youtubei.js](../README.md) / OAuth2AuthEventHandler

# Type Alias: OAuth2AuthEventHandler()

> **OAuth2AuthEventHandler**: (`data`) => `void`

## Parameters

• **data**

• **data.credentials**: [`OAuth2Tokens`](OAuth2Tokens.md)

## Returns

`void`

## Defined in

[src/core/OAuth2.ts:31](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/core/OAuth2.ts#L31)
